Lua Console can not use lua key word require? (Full Version)

All Forums >> [New Releases from Matrix Games] >> Command: Modern Operations series >> Mods and Scenarios >> Lua Legion



Message


Rinstein -> Lua Console can not use lua key word require? (8/21/2020 7:38:09 AM)

I found that Lua Console can not use lua basic key word require?
report this ERROR:
ERROR: [string "Console"]:1: attempt to call global 'require' (a nil value)




Rory Noonan -> RE: Lua Console can not use lua key word require? (8/21/2020 8:17:54 AM)

ScenEdit_RunScript() does the same thing




Rinstein -> RE: Lua Console can not use lua key word require? (8/21/2020 9:13:29 AM)

yeah,that's true




KnightHawk75 -> RE: Lua Console can not use lua key word require? (8/21/2020 10:37:51 AM)

all keywords that relate to io or interaction with the system are removed for safety concerns in non-pro versions.




jkgarner -> RE: Lua Console can not use lua key word require? (8/26/2020 2:07:06 PM)

It does not really do the same thing. [:-]

ScenEdit_RunScript will ONLY execute a Lua script (which can not have require or the other key words either)

require will run s script, or load a dll, or other module, based on what it finds on the system.

You need to keep this in mind when building your scripts.









Page: [1]

Valid CSS!




Forum Software © ASPPlayground.NET Advanced Edition 2.4.5 ANSI
0.0234375